﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B Cal Sig Path Comp VISA
DATE:                  2010-08-31 11:22:55
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       75
=============================================================================
#
#  Procedure Author:
#        DAC, VY, ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Audible Operator Prompt
#        Sub Tek TDS1000B/2000B Check Cal Status VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Abort = 0

  1.002  DO
  1.003  CALL         Sub Audible Operator Prompt
  1.004  HEAD         SIGNAL PATH COMPENSATION CALIBRATION
  1.005  TARGET
  1.006  DISP         Remove all connections from the UUT.
  1.007  VISA         [T300000]*SRE 0;CAL:INTERNAL
  1.008  MATH         L[1] = @SigPathCompTime
  1.009  WAIT         -t [L1] SIGNAL PATH COMPENSATION is in progress ...
  1.010  CALL         Sub Tek TDS1000B/2000B Check Cal Status VISA

  1.011  IF           @Error
  1.012  OPBR         -z Failure occurred during the SIGNAL PATH COMPENSATION
  1.012  OPBR         CALIBRATION.
  1.012  OPBR
  1.012  OPBR         Do you wish to retry the calibration?
  1.013  MATH         @Abort = NOT(MEM1)
  1.014  ENDIF

  1.015  UNTIL        NOT(@Error) || @Abort

  1.016  END
